Update FacilityAppointment Order
Update the Order for a given FacilityAppointment. This is typically used to alter the Reference Id for the appointment.
Body
- Type: stringidrequired
- Type: array object[]order
_info - Type: integerquantity
Integer numbers.
- Type: stringunits
Responses
- application/json
Request Example for post/conduit.v1.updated_facility_appointment_order
curl https://api.getconduit.ai/conduit.v1.updated_facility_appointment_order \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"id": "",
"order_info": [
{
"reference_id": ""
}
],
"quantity": 1,
"units": ""
}'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "Inbound",
"loading_type": "Live",
"scheduled_start_time": "2026-06-15T17:33:08.138Z",
"scheduled_end_time": "2026-06-15T17:33:08.138Z",
"status": "Scheduled",
"recurring_facility_appointment": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"repetition_type": "Daily"
},
"order_info": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"reference_id": "string"
}
],
"created_at": "2026-06-15T17:33:08.138Z",
"updated_at": "2026-06-15T17:33:08.138Z",
"is_work_in": false,
"quantity": null,
"units": null,
"carrier": null,
"carrier_email": null,
"carrier_phone": null,
"carrier_driver": null,
"carrier_notes": null,
"shipper_receiver": null,
"dock": null,
"forklift": null,
"trailer_number": null,
"seal_number": null,
"estimated_start_datetime": null,
"load_started_at": "2024-11-01T15:56:50.052000-07:00",
"load_finished_at": "2024-11-01T15:56:50.052000-07:00",
"checked_in_at": null,
"checked_out_at": null,
"cancelled_at": null,
"cancelled_reason": "FACILITY_REJECTED_LOAD",
"cancelled_note": null,
"public_notes": "string",
"notes": "string",
"facility": "123e4567-e89b-12d3-a456-426614174000",
"all_load_types": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "string"
}
]
}
